import { reactive, ref } from "vue";
import * as gitee from '@/service/gitee'

export default function useMenu() {
  const menus = reactive([])
  const curMenu = ref()

  const getMenus = (user, path = '', repo = 'my-note') => {
    gitee.getTree(user, repo).then(console.log)

    return gitee.getFiles(user, path, repo).then(res => {
      menus.push(...res)
    })
  }

  return {
    curMenu,
    menus,
    getMenus,
  }
}
